Monday, September 16, 2013

Force.com ide error - Cannot deploy InstalledPackage in Package Manifest with any other types

This seems to be an error in all flavors of force.com ide (Mac, Win, Linux) in version 28.
If the file package.xml has an entry for <types> tag with InstalledPackage as the name of the type. comment or remove this entry and the error goes away.

The reason i say "if" the file contains the entry is due to the fact that depending on the type of the force.com project components imported when creating the package, it may or may not have this entry. The general Apex classes, Visual force component option for example, does not have this entry in the package file, however if you include all components from the metadata option then the entry will be there.

No comments :

Powered by Blogger.